Subject: [Sipping] Re: Meaning of status codes

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 06 Dec 2002 19:48:28 +0200

Adam,

Yeah, it was a bad example. I believe we agree on this. My point was
that the status code has to reflect reality as seen by the end point,
regardless of the presence of absence of inband information.

Anyway, I am going to finish reading this thread. I am still half-way
through.

Thanks,

Gonzalo

Adam Roach wrote:
> 
> Gonzalo Camarillo wrote:
> 
> > Note that I am not claiming that you MUST send a 180 if you have early
> > media. I am saying that, if the user is being alerted, you MUST send a
> > 180. But if the user is busy, you, of course, will not send a 180. You
> > would send a "18x Busy" response or, if you do not have any 18x status
> > code that is appropriate (because 18x Busy does not exist), you would
> > send 183 Session Progress.
> 
> Umm... actually, I would say that in particular, this behavior is
> counterindicated. If you, as a gateway, *know* that the user is busy,
> you send a "486 Busy Here". No media is exchanged.
> 
> On the other hand, if you know media is being played before the
> call is established, and cannot map that media to semantics
> in SIP (e.g. an announcement), *then* I agree that you'd use a 183.
> 
> I think we agree in principle, but don't agree about your particular
> example.
> 
> /a
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Adam Roach <[email-masked]>
Date: Thu, 5 Dec 2002 11:07:24 -0600

/a